CairoContext
CairoContext::arc
CairoContext
PHP Manual

# CairoContext::appendPath

# cairo_append_path

Appends a path to current path

### Description

Object oriented style (method):

public void CairoContext::appendPath ( CairoPath `$path` )

Procedural style:

void cairo_append_path ( CairoContext `$context` , CairoPath `$path` )

Appends the `path` onto the current path. The `path` may be either the return value from one of CairoContext::copyPath or CairoContext::copyPathFlat;

if `path` is not a valid CairoPath instance a CairoException will be thrown

### Parameters

`context`

  CairoContext object

`path`

  CairoPath object

### Return Values

No value is returned.

### Examples

Example #1 Object oriented style

`<?php
$surface = new CairoImageSurface(CairoFormat::ARGB32, 50, 50);
$context = new CairoContext($surface);
$path = $context->copyPath();
$context->appendPath($path);
?>`

Example #2 Procedural style

`<?php
$surface = cairo_image_surface_create(CAIRO_FORMAT_ARGB32, 50, 50);
$context = cairo_create($surface);
$path = cairo_copy_path($context);
cairo_append_path($context, $path);
?>`

### See Also

- CairoPath
- CairoContext::copyPath
- CairoContext::copyPathFlat